/*
 * Copyright 2007 Roberto Fasciolo
 * 
 * This file is part of vsitegen.
 * 
 * vsitegen is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 * 
 * vsitegen is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with vsitegen; if not, write to the Free Software
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */
package net.robyf.vsitegen.engine;

import java.io.File;

import org.junit.Assert;

import org.junit.Test;

public final class SiteGeneratorTest {

    private static final String CONTENT_PATH = "test/resources";

    private static final String OUTPUT_PATH = "build/test";

    private final SiteGenerator generator = new SiteGenerator(this.getClass()
                                                      .getResourceAsStream("/navigation.xml"),
                                                              CONTENT_PATH,
                                                              OUTPUT_PATH,
                                                              "prjName",
                                                              "navigation.vtl");

    @Test
    public void testGenerate() {
        File outputDir = new File(OUTPUT_PATH);
        outputDir.mkdirs();

        generator.generate();

        File overview = new File(OUTPUT_PATH + File.separator + "index.html");
        Assert.assertTrue("overview file", overview.exists());

        File dependencies = new File(OUTPUT_PATH + File.separator + "dependencies.html");
        Assert.assertTrue("dependencies file", dependencies.exists());
    }

}
